{% extends 'base.html' %}
{% load i18n static %}

{% block "css" %}{{ block.super }}
  <link rel="stylesheet" type="text/css" href="{% static "css/search.css" %}" >
{% endblock %}

{% block rightheader %}{% endblock %}

{% block content %}

  <h2>{% block title %}{% trans "Search" %}{% endblock %}</h2>

  <form id="insearch" method="get" action="{% url "search" %}">
    <input type="text" name="q" id="q" value="{{ query }}" placeholder="{% trans "Search" %}"><button type="submit"><img src="{% static "images/search.svg" %}" alt="{% trans "Search" %}"/></button>
  </form>

    <form method="get" action=".">
      {% if query %}
        <h3>{% blocktrans %}Search Results for ‘{{ query }}’{% endblocktrans %}</h3>

        <div id="results">
            {% for result in page.object_list %}
                {% if result.model_name == 'title' %}
              <div class="result page">
                <h3><a href="{{ result.object.page.get_absolute_url }}">{{ result.object.title }}</a></h3>
                <p>{{ result.get_stored_fields.excerpt|safe }}</p>
              </div>
                {% else %}
              <div class="result news">
                <h3><a href="{{ result.object.get_absolute_url }}">{{ result.object }}</a></h3>
                <p>{{ result.object.excerpt|safe }}</p>
              </div>
                {% endif %}
            {% empty %}
                <h3>{% trans "No results found." %}</h3>
            {% endfor %}
        </div>
            {% if page.has_previous or page.has_next %}
                <div>
                    {% if page.has_previous %}<a href="?q={{ query }}&amp;page={{ page.previous_page_number }}">{% endif %}&laquo; {% trans "Previous" %}{% if page.has_previous %}</a>{% endif %}
                    |
                    {% if page.has_next %}<a href="?q={{ query }}&amp;page={{ page.next_page_number }}">{% endif %}{% trans "Next" %} &raquo;{% if page.has_next %}</a>{% endif %}
                </div>
            {% endif %}
        {% else %}
          {# Show some example queries to run, maybe query syntax, something else? #}
          <h3>{% trans "Please search using the box above." %}</h3>
      {% endif %}
    </form>
{% endblock %}

